- connection: ssh
  gather_facts: false
  hosts: 120.26.166.127
  remote_user: root
  tasks:
  - name: unarchive the package to target folder
    unarchive:
      copy: true
      dest: /root/cqaso-web/
      src: /tmp/release/cqaso-web-63e8ae3ad3f8245eaa12abc6ebbbcb15a2578cbd
  - args:
      chdir: /root/cqaso-web/
    name: start service with pm2
    shell: echo "pm2 startOrRestart ecosystem.config.js --env production"
  vars:
    ansible_ssh_port: 6677
